\name{seqEvoHitchhiking}

\alias{seqEvoHitchhiking}

\title{Sequence evolution under genetic hitchhiking}
\description{Simulation of sequence diversity under genetic hitchhiking}

\usage{
seqEvoHitchhiking( N=10, s=0.1, rho=0.01, u=0.1, wait=0, showFixed=FALSE, 
                   seq=TRUE, sfs=FALSE, seed=0 )
}

\arguments{
   \item{N}{population size}
   \item{s}{selection coefficient}
   \item{rho}{probability of a recombination event between the end points of the segment}
   \item{u}{mutation probability}
   \item{wait}{amount of time to wait between plots in seconds; a negative number refers to an input before the next plot}
   \item{showFixed}{if TRUE fixed mutations are shown, otherwise they do not appear in the graphics}
   \item{seq}{if TRUE show all sequences as graphical output}
   \item{sfs}{if TRUE show site frequency spectrum as graphical output}
   \item{seed}{seed for the random number generator; if seed=0 the system time is used}
}

\details{
The model of genetic hitchhiking assumes that a strongly beneficial mutation (marked red in the graphics) goes quickly to fixation. Neutral variants can be dragged along the beneficial path to fixation. The function gives a graphical output of a 'selective sweep', meaning that the sequence diversity is much reduced during a sweep.
}

\value{
none; just graphical output is produced
}

\references{\url{http://www.zi.biologie.uni-muenchen.de/~pfaffelhuber/teaching/popgenCourse.html}}
\author{Peter Pfaffelhuber}

\examples{
seqEvoHitchhiking(N=10, s=0.1, r=0.1, u=.1, wait=0, showFixed=TRUE, seed=0)
}

\keyword{distribution}
