\name{seqEvoNeutral}

\alias{seqEvoNeutral}

\title{Sequence evolution under neutral evolution}
\description{Simulation of sequence diversity under neutral evolution}

\usage{
seqEvoNeutral( N=10, r=0, u=0.1, stoptime=20, wait=0, showFixed=TRUE, 
               seq=TRUE, sfs=FALSE, seed=0 )
}

\arguments{
   \item{N}{population size}
   \item{r}{recombination probability for the end points of the segment}
   \item{u}{mutation probability per line for the segment}
   \item{stoptime}{number of generations to simulate}
   \item{wait}{amount of time to wait between plots in seconds; a negative number refers to an input before the next plot}
   \item{showFixed}{if TRUE fixed mutations are shown, otherwise they do not appear in the graphics}
   \item{seq}{if TRUE show all sequences as graphical output}
   \item{sfs}{if TRUE show site frequency spectrum as graphical output}
   \item{seed}{seed for the random number generator; if seed=0 the system time is used}
}

\details{
Neutral evolution is simulated using a Moran model. In each step, mutation, recombination and resampling events are created causing a stochastic change in the diversity pattern. 
}

\value{
none; just graphical output is produced
}

\references{\url{http://www.zi.biologie.uni-muenchen.de/~pfaffelhuber/teaching/popgenCourse.html}}
\author{Peter Pfaffelhuber}

\examples{
seqEvoNeutral(N=10, r=0.5, u=0.5, stoptime=10, wait=.1, showFixed=FALSE) 
}

\keyword{distribution}
